org.apache.lucene.util

## Class OpenBitSetDISI

- java.lang.Object
- - org.apache.lucene.search.DocIdSet
  - - org.apache.lucene.util.OpenBitSet
    - - org.apache.lucene.util.OpenBitSetDISI

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class OpenBitSetDISI
      extends OpenBitSet

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.util.OpenBitSet

      `bits, wlen`

    - ### Fields inherited from class org.apache.lucene.search.DocIdSet

      `EMPTY_DOCIDSET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenBitSetDISI(DocIdSetIterator disi, int maxSize)` Construct an OpenBitSetDISI with its bits set from the doc ids of the given DocIdSetIterator.
    `OpenBitSetDISI(int maxSize)` Construct an OpenBitSetDISI with no bits set, and a given maximum size one larger than the largest doc id for which a bit may ever be set on this OpenBitSetDISI.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `inPlaceAnd(DocIdSetIterator disi)` Perform an inplace AND with the doc ids from a given DocIdSetIterator, leaving only the bits set for which the doc ids are in common.
    `void` | `inPlaceNot(DocIdSetIterator disi)` Perform an inplace NOT with the doc ids from a given DocIdSetIterator, clearing all the bits for each such doc id.
    `void` | `inPlaceOr(DocIdSetIterator disi)` Perform an inplace OR with the doc ids from a given DocIdSetIterator, setting the bit for each such doc id.
    `void` | `inPlaceXor(DocIdSetIterator disi)` Perform an inplace XOR with the doc ids from a given DocIdSetIterator, flipping all the bits for each such doc id.

    - ### Methods inherited from class org.apache.lucene.util.OpenBitSet

      `and, andNot, andNotCount, bits2words, capacity, cardinality, clear, clear, clear, clone, ensureCapacity, ensureCapacityWords, equals, expandingWordNum, fastClear, fastClear, fastFlip, fastFlip, fastGet, fastGet, fastSet, fastSet, flip, flip, flipAndGet, flipAndGet, get, get, getAndSet, getAndSet, getBit, getBits, getNumWords, hashCode, intersect, intersectionCount, intersects, isCacheable, isEmpty, iterator, nextSetBit, nextSetBit, or, remove, set, set, setBits, setNumWords, size, trimTrailingZeros, union, unionCount, xor, xorCount`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenBitSetDISI

          public OpenBitSetDISI(DocIdSetIterator disi,
                                int maxSize)
                         throws java.io.IOException

      Construct an OpenBitSetDISI with its bits set from the doc ids of the given DocIdSetIterator. Also give a maximum size one larger than the largest doc id for which a bit may ever be set on this OpenBitSetDISI.
      Throws:
        `java.io.IOException`

    - #### OpenBitSetDISI

          public OpenBitSetDISI(int maxSize)

      Construct an OpenBitSetDISI with no bits set, and a given maximum size one larger than the largest doc id for which a bit may ever be set on this OpenBitSetDISI.

  - ### Method Detail

    - #### inPlaceOr

          public void inPlaceOr(DocIdSetIterator disi)
                         throws java.io.IOException

      Perform an inplace OR with the doc ids from a given DocIdSetIterator, setting the bit for each such doc id. These doc ids should be smaller than the maximum size passed to the constructor.
      Throws:
        `java.io.IOException`

    - #### inPlaceAnd

          public void inPlaceAnd(DocIdSetIterator disi)
                          throws java.io.IOException

      Perform an inplace AND with the doc ids from a given DocIdSetIterator, leaving only the bits set for which the doc ids are in common. These doc ids should be smaller than the maximum size passed to the constructor.
      Throws:
        `java.io.IOException`

    - #### inPlaceNot

          public void inPlaceNot(DocIdSetIterator disi)
                          throws java.io.IOException

      Perform an inplace NOT with the doc ids from a given DocIdSetIterator, clearing all the bits for each such doc id. These doc ids should be smaller than the maximum size passed to the constructor.
      Throws:
        `java.io.IOException`

    - #### inPlaceXor

          public void inPlaceXor(DocIdSetIterator disi)
                          throws java.io.IOException

      Perform an inplace XOR with the doc ids from a given DocIdSetIterator, flipping all the bits for each such doc id. These doc ids should be smaller than the maximum size passed to the constructor.
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.